// Author: fengshengxiong
// Date: 2024/5/7
// Description: 主题

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:tone_snap/res/themes/app_colors.dart';

ThemeData sideATheme = ThemeData.dark(useMaterial3: true).copyWith(
  colorScheme: ColorScheme.fromSeed(seedColor: sideASeedColor),
  appBarTheme: const AppBarTheme(color: sideASeedColor),
  scaffoldBackgroundColor: sideASeedColor,
  scrollbarTheme: ScrollbarThemeData(
    thumbVisibility: WidgetStateProperty.all(false),
    thumbColor: WidgetStateProperty.all(Colors.white),
    radius: Radius.circular(8.r),
  ),
);

ThemeData sideBTheme = ThemeData.dark(useMaterial3: true).copyWith(
  colorScheme: ColorScheme.fromSeed(seedColor: sideBSeedColor),
  appBarTheme: const AppBarTheme(color: Color(0xFF151718)),
  scaffoldBackgroundColor: const Color(0xFF151718),
);
